Subject: Re: .git/info/refs

From: Jakub Narebski <[email-masked]>
Date: Wed, 24 Jan 2007 10:28:56 +0100

H. Peter Anvin wrote:

> Would it be an incompatible change to add the commit date (and perhaps 
> the author date) to .git/info/refs?  I believe that would make it 
> possible to dramatically (orders of magnitude) speed up the generation 
> of the gitweb index page, which is easily the most expensive gitweb page 
> to generate.

With new gitweb and new git it is not that expensive. It is now one call
to git-for-each-ref per repository.

Besides, we can't rely that .git/info/refs is up to date, or even exists.
It is for dumb protocols, not for gitweb.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git